# Class Handlers

java.lang.Object
org.fressian.impl.Handlers

public class Handlers extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ILookup<Class, Map<String, WriteHandler>>`
`coreWriteHandlers`
`static final Map`
`extendedReadHandlers`
`static final ILookup<Class, Map<String, WriteHandler>>`
`extendedWriteHandlers`
`static final Map<String,Integer>`
`tagToCode`

## Constructor Summary

Constructors
Constructor
Description
`Handlers()`

## Method Summary

Modifier and Type
Method
Description
`static ILookup<Class, Map<String, WriteHandler>>`
`customWriteHandlers(ILookup<Class, Map<String, WriteHandler>> userHandlers)`
`static ILookup<Class, Map<String, WriteHandler>>`
`defaultWriteHandlers()`
`static Map<Class, Map<String, WriteHandler>>`
`installHandler(Map<Class, Map<String, WriteHandler>> map, Class cls, String tag, WriteHandler handler)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tagToCode

public static final Map<String,Integer> tagToCode

### extendedReadHandlers

public static final Map extendedReadHandlers

### coreWriteHandlers

public static final ILookup<Class, Map<String, WriteHandler>> coreWriteHandlers

### extendedWriteHandlers

public static final ILookup<Class, Map<String, WriteHandler>> extendedWriteHandlers

## Constructor Details

### Handlers

public Handlers()

## Method Details

### installHandler

public static Map<Class, Map<String, WriteHandler>> installHandler(Map<Class, Map<String, WriteHandler>> map, Class cls, String tag, WriteHandler handler)

### defaultWriteHandlers

public static ILookup<Class, Map<String, WriteHandler>> defaultWriteHandlers()

### customWriteHandlers

public static ILookup<Class, Map<String, WriteHandler>> customWriteHandlers(ILookup<Class, Map<String, WriteHandler>> userHandlers)